com.google.appengine.api.search.query

## Enum QueryTreeContext.Type

- java.lang.Object
- - java.lang.Enum<QueryTreeContext.Type>
  - - com.google.appengine.api.search.query.QueryTreeContext.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QueryTreeContext.Type>
  Enclosing class:
    QueryTreeContext<T extends QueryTreeContext<T>>

      public static enum QueryTreeContext.Type
      extends java.lang.Enum<QueryTreeContext.Type>

  Enumeration of supported return types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOL`
    `DATE`
    `DISTANCE`
    `LOCATION`
    `NUMBER`
    `TEXT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryTreeContext.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QueryTreeContext.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOL

          public static final QueryTreeContext.Type BOOL

    - #### TEXT

          public static final QueryTreeContext.Type TEXT

    - #### NUMBER

          public static final QueryTreeContext.Type NUMBER

    - #### DATE

          public static final QueryTreeContext.Type DATE

    - #### LOCATION

          public static final QueryTreeContext.Type LOCATION

    - #### DISTANCE

          public static final QueryTreeContext.Type DISTANCE

  - ### Method Detail

    - #### values

          public static QueryTreeContext.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryTreeContext.Type c : QueryTreeContext.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryTreeContext.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null